"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileInputBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#file_input
 * @@displayName File Input Builder
 */
class FileInputBuilder extends base_1.ElementBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackElementDto, {
            type: constants_1.ElementType.FileInput,
        });
    }
}
exports.FileInputBuilder = FileInputBuilder;
helpers_1.applyMixins(FileInputBuilder, [
    methods_1.ActionId,
    methods_1.Filetypes,
    methods_1.MaxFiles,
    methods_1.End,
]);
